# DataExchange
TKXSBase
XSControl

# XSControl Class Reference

This package provides complements to IFSelect & Co for
control of a session
.

`#include <XSControl.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_XSControl_WorkSession | Session (const Handle(IFSelect_SessionPilot)&pilot)
| Returns the WorkSession of a SessionPilot, but casts it as from XSControl : it then gives access to Control & Transfers .
static Standard_EXPORT Handle_XSControl_Vars | Vars (const Handle(IFSelect_SessionPilot)&pilot)
| Returns the Vars of a SessionPilot, it is brought by Session it provides access to external variables .

## Member Function Documentation

void XSControl::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSControl::operator new | ( | size_t | size | ) | `[inline]`

void* XSControl::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_XSControl_WorkSession XSControl::Session | ( | const Handle(IFSelect_SessionPilot)& | pilot | ) | `[static]`

static Standard_EXPORT Handle_XSControl_Vars XSControl::Vars | ( | const Handle(IFSelect_SessionPilot)& | pilot | ) | `[static]`

The documentation for this class was generated from the following file:

- XSControl.hxx